#!/bin/sh

cd theme_content
kcmshell --list > kcmmods.txt

echo "Installing the icon set in $1/share/icons"
install -d $1/share/icons
cp -rf bk_berlin_subway_icons-3.1 $1/share/icons

echo "Installing the desktop wallpapers in $1/share/wallpapers"
install -d $1/share/wallpapers
cp -f wallpapers/bk_berlin_subway_1.jpg $1/share/wallpapers
cp -f wallpapers/bk_berlin_subway_2.jpg $1/share/wallpapers
cp -f wallpapers/bk_berlin_subway_3.jpg $1/share/wallpapers

echo "Installing the IceWM decoration in $1/share/apps/kwin/icewm-themes"
install -d $1/share/apps/kwin/icewm-themes
cp -rf bk_berlin_subway_IceWM $1/share/apps/kwin/icewm-themes

echo "Installing the KFM background image in $1/share/apps/konqueror/tiles"
install -d $1/share/apps/konqueror/tiles
cp -f wallpapers/bk_berlin_subway_kfm_bg.jpg $1/share/apps/konqueror/tiles

echo "Installing the desktop color schema in $1/share/apps/kdisplay/color-schemes"
install -d $1/share/apps/kdisplay/color-schemes
cp -f colors/bk_berlin_subway.kcsrc $1/share/apps/kdisplay/color-schemes

echo "Installing the panel background in $1/share/apps/kicker/"
install -d $1/share/apps/kicker
cp -f bk_berlin_subway/wallpapers/panel/panel4.jpg $1/share/apps/kicker/bk_berlin_subway_panel.jpg

echo "Installing the splash theme in $1/share/apps/ksplash/Themes"
install -d $1/share/apps/ksplash/Themes
cp -rf bk_berlin_subway_splash $1/share/apps/ksplash/Themes

echo "Installing the sound files in $1/share/sounds"
install -d $1/share/sounds
cp -f bk_berlin_subway_sounds/*.ogg $1/share/sounds

if themanger=`grep kthememanager kcmmods.txt`
 then
 echo "kthememanager found - installing desktop theme"
 install -d $1/share/apps/kthememanager/themes
 cp -rf bk_berlin_subway $1/share/apps/kthememanager/themes
 install -d $1/share/apps/kthememanager/themes/bk_berlin_subway/wallpapers/desktop
 cp -f wallpapers/bk_berlin_subway_1.jpg $1/share/apps/kthememanager/themes/bk_berlin_subway/wallpapers/desktop/bk_berlin_subway_1.jpg
 cp -f wallpapers/bk_berlin_subway_2.jpg $1/share/apps/kthememanager/themes/bk_berlin_subway/wallpapers/desktop/bk_berlin_subway_2.jpg
 cp -f wallpapers/bk_berlin_subway_3.jpg $1/share/apps/kthememanager/themes/bk_berlin_subway/wallpapers/desktop/bk_berlin_subway_3.jpg
 install -d $1/share/apps/kthememanager/themes/bk_berlin_subway/wallpapers/konqueror
 cp -f wallpapers/bk_berlin_subway_kfm_bg.jpg $1/share/apps/kthememanager/themes/bk_berlin_subway/wallpapers/konqueror/bk_subway_kfm_bg.jpg

fi

cd ..
