#!/bin/sh

gldir=`kde-config --prefix`
lcdir=`kde-config --localprefix`

# remove the global installed iconset
if test -w $gldir/share/icons/bk_berlin_subway_icons-3.1
then
   echo "Remove the icon set bk_berlin_subway_icons in $gldir"
   rm -r $gldir/share/icons/bk_berlin_subway_icons-3.1
fi

# remove the local installed icon set
if test -w $lcdir/share/icons/bk_berlin_subway_icons-3.1
then
   echo "Remove the icon set bk_berlin_subway_icons in $lcdir"
   rm -r $lcdir/share/icons/bk_berlin_subway_icons-3.1
fi

# remove the wallpaper
if test -w $gldir/share/wallpapers/bk_berlin_subway_1.jpg
then
   echo "Remove the desktop wallpapers in $gldir"
   rm $gldir/share/wallpapers/bk_berlin_subway_1.jpg
fi
if test -w $gldir/share/wallpapers/bk_berlin_subway_2.jpg
then
   rm $gldir/share/wallpapers/bk_berlin_subway_2.jpg
fi
if test -w $gldir/share/wallpapers/bk_berlin_subway_3.jpg
then
   rm $gldir/share/wallpapers/bk_berlin_subway_3.jpg
fi
if test -w $lcdir/share/wallpapers/bk_berlin_subway_1.jpg
then
   echo "Remove the desktop wallpapers in $lcdir"
   rm $lcdir/share/wallpapers/bk_berlin_subway_1.jpg
fi
if test -w $lcdir/share/wallpapers/bk_berlin_subway_2.jpg
then
   rm $lcdir/share/wallpapers/bk_berlin_subway_2.jpg
fi
if test -w $lcdir/share/wallpapers/bk_berlin_subway_3.jpg
then
   rm $lcdir/share/wallpapers/bk_berlin_subway_3.jpg
fi

# remove the desktop color schema
if test -w $gldir/share/apps/kdisplay/color-schemes/bk_berlin_subway.kcsrc
then
   echo "Remove the desktop color schema in $gldir"
   rm $gldir/share/apps/kdisplay/color-schemes/bk_berlin_subway.kcsrc
fi
if test -w $lcdir/share/apps/kdisplay/color-schemes/bk_berlin_subway.kcsrc
then
   echo "Remove the desktop color schema in $lcdir"
   rm $lcdir/share/apps/kdisplay/color-schemes/bk_berlin_subway.kcsrc
fi

# remove the IceWM decoration
if test -w $gldir/share/apps/kwin/icewm-themes/bk_berlin_subway_IceWM
then
   echo "Remove the IceWM decoration in $gldir"
   rm -r $gldir/share/apps/kwin/icewm-themes/bk_berlin_subway_IceWM
fi
if test -w $lcdir/share/apps/kwin/icewm-themes/bk_berlin_subway_IceWM
then
   echo "Remove the IceWM decoration in $lcdir"
   rm -r $lcdir/share/apps/kwin/icewm-themes/bk_berlin_subway_IceWM
fi

# remove the KFM bg image
if test -w $gldir/share/apps/konqueror/tiles/bk_berlin_subway_kfm_bg.jpg
then
   echo "Remove the KFM bg wallpaper in $gldir"
   rm $gldir/share/apps/konqueror/tiles/bk_berlin_subway_kfm_bg.jpg
fi
if test -w $lcdir/share/apps/konqueror/tiles/bk_berlin_subway_kfm_bg.jpg
then
   echo "Remove the KFM bg wallpaper in $lcdir"
   rm $lcdir/share/apps/konqueror/tiles/bk_berlin_subway_kfm_bg.jpg
fi

# remove the ktheme
if test -w $gldir/share/apps/kthememgr/Themes/bk_berlin_subway.ktheme
then
  echo "Remove the desktop theme in $gldir"
  rm $gldir/share/apps/kthememgr/Themes/bk_berlin_subway.ktheme
fi
if test -w $lcdir/share/apps/kthememgr/Themes/bk_berlin_subway.ktheme
then
  echo "Remove the desktop theme in $lcdir"
  rm $lcdir/share/apps/kthememgr/Themes/bk_berlin_subway.ktheme
fi

# remove the splash screen
if test -w $gldir/share/apps/ksplash/Themes/bk_berlin_subway_splash
  echo "Remove the splash screen in $gldir"
  rm -r $gldir/share/apps/ksplash/Themes/bk_berlin_subway_splash
fi
if test -w $lcdir/share/apps/ksplash/Themes/bk_berlin_subway_splash
  echo "Remove the splash screen in $lcdir"
  rm -r $lcdir/share/apps/ksplash/Themes/bk_berlin_subway_splash
fi

# remove the sound files
if test -w $gldir/share/sounds/bk_berlin_subway_close.ogg
  echo "Remove the theme sound files in in $gldir"
  rm $gldir/share/sounds/bk_subway_*.ogg
fi
if test -w $lcdir/share/sounds/bk_berlin_subway_close.ogg
  echo "Remove the theme sound files in in $lcdir"
  rm $lcdir/share/sounds/bk_subway_*.ogg
fi

# remove the kth
if test -w $gldir/share/apps/apps/kthememanager/themes/bk_berlin_subway
then
   echo "Remove the desktop theme for kthememanager in $gldir"
   rm -r $gldir/share/apps/apps/kthememanager/themes/bk_berlin_subway
fi

if test -w $lcdir/share/apps/apps/kthememanager/themes/bk_berlin_subway
then
   echo "Remove the desktop theme for kthememanager in $gldir"
   rm -r $lcdir/share/apps/apps/kthememanager/themes/bk_berlin_subway
fi
